@ECHO OFF
PushD "%~dp0"


REM **************************************
REM COM-Interop-Registrierung mit .NET 4.0
REM **************************************
IF NOT EXIST "%windir%"\Microsoft.NET\Framework\v4.0.30319\RegAsm.exe GOTO :DOTNETERROR
"%windir%"\Microsoft.NET\Framework\v4.0.30319\RegAsm /s ShowAnchorpointDockable.dll /tlb /codebase


IF %PROCESSOR_ARCHITECTURE% == AMD64 GOTO x64

REM ***********************************
REM x86-Registrierung (32-Bit-Platform)
REM ***********************************

REM dll-Registrierung
"%systemroot%\System32\regsvr32" /s AnchorpointDockable.ocx

REM Command registrieren
REG ADD "HKLM\Software\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v Location /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v AppCmdDllPath /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v RibbonCmd /t REG_SZ /d 1 /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v Location /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v AppCmdDllPath /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v RibbonCmd /t REG_SZ /d 1 /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v Location /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v AppCmdDllPath /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v RibbonCmd /t REG_SZ /d 1 /f >NUL

EXIT


:x64
REM x64-Registrierung (64-Bit-Platform)
REM ***********************************

REM dll-Registrierung
"%systemroot%\SysWOW64\regsvr32" /s AnchorpointDockable.ocx

REM Commands registrieren
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v Location /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v AppCmdDllPath /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Essentials\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v RibbonCmd /t REG_SZ /d 1 /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v Location /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v AppCmdDllPath /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Advantage\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v RibbonCmd /t REG_SZ /d 1 /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v Location /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v AppCmdDllPath /t REG_SZ /d "%cd%" /f >NUL
REG ADD "HKLM\Software\Wow6432Node\Intergraph\GeoMedia Professional\16.00\ApplicationCommands\Rapp_AnchorpointDockable" /v RibbonCmd /t REG_SZ /d 1 /f >NUL

EXIT


:DOTNETERROR
ECHO *** FEHLER *** Die .NET-Komponente fr die Command-Registrierung konnte nicht gefunden werden. Installieren Sie .NET-Framework 4.0.
ECHO.
PAUSE